\documentclass[11pt]{book}

%official Art of Problem Solving pagkages (http://www.artofproblemsolving.com/)
\usepackage{amsmath, amssymb, amsthm, mathtools}

%images and box manipulation, multi-line comment, subfigures, colors, code snippets, font large enough, poems
\usepackage{graphicx, verbatim, subcaption, color, listings, anyfontsize}

%hyperlinks
\usepackage{hyperref}
\hypersetup{
  colorlinks   = true,    			% Colours links instead of ugly boxes
  urlcolor     = blue,    			% Colour for external hyperlinks
  linkcolor    = [rgb]{0,0.501960784,0.501960784}, 	% Colour of internal links
  citecolor    = red      			% Colour of citations
}

%start section counter at -1
\setcounter{chapter}{-1}

%title
\begin{document}

\title{
\centering
\rule{\textwidth}{4pt}\vspace*{-\baselineskip}\vspace*{3.2pt}
\rule{\textwidth}{1pt}\vspace*{26pt}
\textcolor[rgb]{0.392156863,0.584313725,0.929411765}{{\fontsize{40}{60}\selectfont \textbf{THE ART OF PROBABILITY CHEATING}}}\\
\textit{Teaching to cheating}\\
\rule{\textwidth}{1pt}\vspace*{-\baselineskip}\vspace*{6.4pt}
\rule{\textwidth}{4pt}
}

\author{\href{mailto:sirfoga@protonmail.com}{Stefano Fogarollo}}
\date{Last update: 14/01/2016}

%removes title of chapter on top of pages
\renewcommand{\chaptermark}[1]{\markboth{}{#1}}

%makes title
\maketitle

\chapter{Before you start\\\textit{Ready, set, go! No wait..}}
\label{ch:Before you start}

\section{The Hitchhiker's guide to this book (cit.)}
\label{sec:The Hitchhiker's guide to this book (cit.)}

The aim of this book is to present the reader with basic notations, results and theorems related to Probability. Without going any further we shall now give some helpful pieces of advice.\\
\textbf{First of all}, the reader should be at ease with basic algebra, calculus and combinatorics. In fact this book is directed especially to undergraduate bachelors students. However exceptions may take place, indeed also elementary school, middle school and college students are welcome, but beware: probability sucks, you'd better read some mathematics or even aerospace books.\\
\textbf{Second of all}, the \textit{notations, results and theorems} the reader is going to face are some of the most elementary ones in all the theory of probability, and sometimes reduced to the bone as to make things interesting and easy, in order to invite the interested reader to explore harder things on their own.\\
\textbf{Finally}, as the author decided \textit{upon a time}, no demonstration or proof are showed here. This decision may seem difficult to accept, but wait
\begin{itemize}
\item 99\% of the readers would skip the \textit{boring, mathematical} stuff
\item the interested readers will find it amusing and not particularly hard so as to read it while commuting, and once at home, find the relax, \textit{ohm} zone and tea to explore further the proofs
\item proofs can be found anywhere! Just type in one of our best information collectors in the Internet (a.k.a search engines) "\{theorem\} proof "
\end{itemize}

\section{A note on notations (cit.)}
\label{sec:A note on notations (cit.)}

Basic mathematical notation is employed in this book, however to refresh the mind of the readers, they may find it helpful to revise the following definitions and symbols:
\begin{itemize}
\item $\mathbb{N}, \mathbb{Z}, \mathbb{Q}, \mathbb{R}, \mathbb{C}$: respectively  \href{https://en.wikipedia.org/wiki/Natural_number}{Natural}, \href{https://en.wikipedia.org/wiki/Integer}{Integer}, \href{https://en.wikipedia.org/wiki/Rational_number}{Rational}, \href{https://en.wikipedia.org/wiki/Real_number}{Real}, \href{https://en.wikipedia.org/wiki/Complex_number}{Complex}, sets of numbers
\item $\{X_i\}$: set whose elements are somehow directly connected to $X$
\item $\{X_1^n\}$ (in statistics): set of random variables identically distributed, often referred to as the collection of \textit{samples} 
\item $[x]$: round off $x$ to nearest integer
\item $\lfloor x \rfloor := \text{max } n | n \le x \wedge n \in \mathbb{N}$, floor function
\item $\lceil x \rceil := \text{min } n | n \ge x \wedge n \in \mathbb{N}$, ceil function
\item $\overline{\mathcal{X}}$: arithmetic mean (average) of the objects $\in \mathcal{X}$
\item $\sim$: \href{https://en.wikipedia.org/wiki/Asymptote}{asymptotic}
\item $\cong$: congruent, same area
\item $\equiv, \mod$: congruent, modulus. In modular arithmetic $a \equiv \mod b = c \iff$ the remainder of the division $\frac{b}{a} = c$.
\item $|$: divides; e.g $a | b \iff a \equiv 0 \mod b$. In different contexts it means "such that"; e.g $a | a^2 > 20$
\item $\ldots \in ],[$: parenthesis like that are used to indicate whether or not the interval extremes are considered; e.g $][, ]], [[, []$ respectively mean they consider only none, the upper, the lower, both extremes of the interval
\item $\iff$: "if and only if". $A \iff B$ means that $A$ implies $B$ and viceversa
\item $\bigcap$: \href{https://en.wikipedia.org/wiki/Intersection}{intersection}.
\item $\triangle$: triangle built linking the following three points; e.g $\triangle ABC$. In different context it represents the \href{https://en.wikipedia.org/wiki/Discriminant}{discriminant} of an equation
\item $\circ$: circle, circumference built on the following points; e.g $\circ ABC$ is the circumference passing through the points $A,B$ and $C$
\item $\lg (x) = \log_2 (k), \ln (x) = \log_{\hyperref[subsec:Useful costants]{e}} (x), \log(x) = \log_10 (x)$
\item $x!$: factorial function $= x \cdot (x-1) \cdot (x-2) \cdot \ldots \cdot 1$
\item $x!!$: double-factorial function. Defined for all odd integers $x = 2k -1, x!! = \prod \limits_{i=1} ^k (2i-1) = \frac{(2k)!}{2^k\cdot k!}$ 
\item $\Gamma(x)$: $=(x-1)!$, \href{https://en.wikipedia.org/wiki/Gamma_function}{$\Gamma$ function}
\item $\binom{a}{b}$: $\frac{a!}{b! \cdot (a-b)!}$ that is binomial of \textbf{a} over \textbf{b}. It express the number of ways you can order \textbf{b} different objects in \textbf{a} places. And many extra stuff.
\item $\mathcal{H}_n$: $=\sum\limits_{k=1} ^n \frac{1}{k} = 1 + \frac{1}{2} + \frac{1}{3} + \frac{1}{4} + \ldots + \frac{1}{n} , n$-th \hyperref[subsec:Harmonic numbers]{harmonic number}
\item $\sigma(k)$: number of \href{https://en.wikipedia.org/wiki/Divisor_function}{divisors} of $k$
\item \textbf{AM, GM, QM, CM, HM, PM}: respectively \href{https://en.wikipedia.org/wiki/Arithmetic_mean}{Arithmetic}, \href{https://en.wikipedia.org/wiki/Geometric_mean}{Geometric}, \href{https://en.wikipedia.org/wiki/Root_mean_square}{Quadratic}, \href{https://en.wikipedia.org/wiki/Cubic_mean}{Cubic}, \href{https://en.wikipedia.org/wiki/Harmonic_mean}{Harmonic}, \href{https://en.wikipedia.org/wiki/Generalized_mean}{Generalized}, mean of a set of numbers
\item \textbf{exactly}: no less and no more
\item \textbf{closed-form} \href{https://en.wikipedia.org/wiki/Closed-form_expression}{expression}, formula: a formula that can be written in a concise way on a piece of paper and that it doesn't involve an infinite quantity of terms.
\item \textbf{side-cases}: simple and easy to be found cases. \textbf{Hint:} try with $0,1,2, -1,-2 ..$
\item \textbf{non-ordered/ordered partitions}: partitions in which the order objects are partitioned (shared, divided) doesn't/does matter.\\
  e.g. 
  \begin{itemize}
  \item a single non-ordered partition: $1 2 3 = 1 3 2 = 2 1 3 \ldots$ \\
  \item 3 different ordered partitions: $1 2 3 \neq 1 3 2 \neq 2 1 3 \ldots$
  \end{itemize}
\item \textbf{QED}: \href{https://en.wikipedia.org/wiki/Q.E.D.}{\textit{\textbf{Quod Erat Demostrandum}}}, \href{https://en.wikipedia.org/wiki/Eureka_%28word%29}{Eureka!}
\item $cost.$: when performing undefinite \href{https://en.wikipedia.org/wiki/Integral}{integrals} the result is only defined up to an additive constant, the \href{https://en.wikipedia.org/wiki/Constant_of_integration}{constant of integration}
\item \textit{LHS}, \textit{RHS}: left hand side, right hand side of an equation; e.g $1+1 = 2$, \textit{LHS} = ${1+1}$, \textit{RHS} = ${2}$
\end{itemize}

\section{Useful costants}
\label{sec:Useful costants}

There are many constants to thank, but most of all these ones make you live:
\begin{itemize}
  \item $\pi \approx 3.141592653589793238462643383279502884197169399375\ldots$ \href{https://en.wikipedia.org/wiki/Pi}{Pi} has always made fun of, laughed at, caused marvels among, deceived, tempted, been tried to figure out by mathematicians, and after years of deceivement it keeps amazing everyone by these simple identities.
$$\begin{aligned}
&\boxed{\pi = \lim_{n \to +\infty} \frac{2^{4n} \cdot (n!)^4}{n\cdot(2n!)^2}}\\
&\boxed{\pi = \sum\limits_{n=0}^{+\infty} \frac{1}{16^n} \left( \frac{4}{8n+1} -\frac{2}{8n+4} - \frac{1}{8n+5} -\frac{1}{8n+6} \right)}\\
&\boxed{\pi = \lim_{n \to +\infty} \frac{1}{n \cdot \left( \frac{(2n)!}{2^{2n} \cdot n!^2} \right) ^2} = \frac{2^{4n} \cdot n!^4}{n \cdot (2n)!^2}}\\
&\boxed{\pi = 2 \cdot \frac{2}{\sqrt{2}} \cdot \frac{2}{\sqrt{2 + \sqrt{2}}} + \frac{2}{\sqrt{2 + \sqrt{2 + \sqrt{2}}}} + \ldots}\\
&\boxed{\pi = 2 \cdot \frac{2 \cdot 2 \cdot 4 \cdot 4 \cdot 6 \cdot 6}{3 \cdot 3 \cdot 5 \cdot 5 \cdot 7 \cdot 7}  \ldots}\\
&\boxed{\pi = \left( \int\limits_{-\infty} ^ {+\infty} {e^{-x^2} dx} \right) ^2}\\
\end{aligned}$$
The second one is particularly interesting because the n-th term contains $16^{-n}$ and thus the n-th digit of $\pi$ (base hexadecimal) can ve found easily. There is also a well-written poem in french to remember the digits of $\pi$:\\
\\Que j'aime à faire apprendre ce nombre utile aux sages !\\
Immortel Archimède, artiste ingénieur,\\
Qui de ton jugement peut priser la valeur ?\\
Pour moi, ton problème eut de pareils avantages.\\
Jadis, mystérieux, un problème bloquait\\
Tout l'admirable procédé, l'œuvre grandiose\\
Que Pythagore découvrit aux anciens Grecs.\\
0 quadrature ! Vieux tourment du philosophe\\
Insoluble rondeur, trop longtemps vous avez \\
Défié Pythagore et ses imitateurs.\\
Comment intégrer l'espace plan circulaire ?\\
Former un triangle auquel il équivaudra ?\\
Nouvelle invention : Archimède inscrira\\
Dedans un hexagone ; appréciera son aire \\
Fonction du rayon. Pas trop ne s'y tiendra :\\
Dédoublera chaque élément antérieur ;\\
Toujours de l'orbe calculée approchera ;\\
Définira limite ; enfin, l'arc, le limiteur\\
De cet inquiétant cercle, ennemi trop rebelle\\
Professeur, enseignez son problème avec zèle\\
  \item $e \approx 2.718281828459045235360287471352662497757247093699\ldots$ \href{https://en.wikipedia.org/wiki/E_\%28mathematical_constant\%29}{Napier number}. There are various definitions of $e$:
  $$\boxed {e = \sum_{n=0}^\infty {1\over n!} = \lim_{n \to \infty} { \left(1 + {1 \over n}\right)^n } = \int_0^\infty \frac1{\lfloor x\rfloor!} \ dx}$$
  \item $\gamma \approx 0.57721566490153286060651209008240243104215933593992\ldots$ \href{https://en.wikipedia.org/wiki/Euler\%E2\%80\%93Mascheroni_constant}{Euler-Mascheroni costant}
  \item $\phi \approx 1.61803398874989484820458683436563811772030917980576\ldots$ \href{https://en.wikipedia.org/wiki/Golden_ratio}{Golden ratio}
  \item $\lambda \approx 1.30357726903429639125709911215255189073070250465940\ldots$ \href{http://mathworld.wolfram.com/ConwaysConstant.html}{Conway costant}
  \item $g$ $\approx \left(9.8061999 - 0.0259296 \cos (2 \phi ) + 0.0000567 \cos ^2 (2 \phi)\right) \frac{m}{s^2}$ at latitude $\phi$, \href{https://en.wikipedia.org/wiki/Gravity_of_Earth}{gravitational acceleration on Earth} 
\end{itemize}

\chapter{Background theory\\\textit{Please! Please! No more theory!}}
\label{ch:Background theory}

\section{Sets}
\label{sec:Sets}

\section{Definition of probability}
\label{sec:Definition of probability}

\section{Events}
\label{Events}
Let $A,B$ two events, then we can assign names to situations that happen frequently
\begin{itemize}
\item \textbf{independent}: if $A$ happens whether $B$ happens or not (e.g I won't bring with me the umbrella whether my mother tells me it will rain or not)
$$P(A \cup B) = P(A) + P(B)$$
Note that if $A,B$ are independent, then also $A^c,B^c$ are independent and thus
$$P(A^c \cap B^c) = P(A^c)P(B^c) = (1-P(A))(1-P(B))$$
\item \textbf{disjoint}: $A$ happens implies that $B$ cannot happen (e.g $A=$ "I win the $1.000.000$\$ lottery", $B=$ "I will have no money")
$$P(A \cap B) = 0$$
\end{itemize}

\chapter{Probability and Combinatorics\\\textit{What? I have never heard anything about "Combinatorics"!}}
\label{ch:Probability and Combinatorics}

\section{Combinatorics}
\label{sec:Combinatorics}

\section{Conditional probability}
\label{sec:Conditional probability}
Sometimes you have access to simple probabilities while the interesting question is about getting the the probability of event $A$ given that $B$ has happened. This type of probability is often referred to as \textit{conditional probability} and it can be used to build model for various system, even dynamical ones.
\begin{align}
P(\text{event } A \text{ happens given that event } B \text{ has happened}) &= P(A|B)\\
&= \frac{P(A \cap B)}{P(B)}
\end{align}
Yet, when more than \textit{2} take place one may get confused, but with little effort the laborious reader may get such result
\begin{align}
P\left(\cap_{i=1}^n A_i \right) &= P\left(\text{all events take place} \right)\\
&= P\left(A_n | \cap_{i=1}^{n-1} A_i \right) \cdot P\left(A_{n-1} | \cap_{i=1}^{n-2} A_i \right) \ldots P\left(A_1 \right)\\
&= \Pi_{i=1}^n P\left(A_i | \cap_{i=1}^{i-1} A_i \right)
\end{align}
Now, for the sake of examples, let's take a look at the historical \textit{P\'{o}lya urn}: in an urn there are $r$ red balls and $b$ blue balls. Each time you extract a ball you add $c$ balls of the same color. Let $e_i$ the color of the ball extracted at the $i-th$ time.
\begin{center}
\textbf{What is the probability of having $e_1 = e_2 = \text{ blue and } e_3 = \text{ red}$?}
\end{center}
Simply one apply the conditional probability formula described above to get
\begin{align}
P(e_1 = B, e_2 = B, e_3 = R) &= P(e_1 = B \cap e_2 = B \cap e_3 = R)\\
&= P(B,B,R)\\
&= P(R | (B \cap B)) \cdot P(B | B) \cdot P(B)\\
&= \frac{r}{r+b+2c} \cdot \frac{b+c}{r+b+c} \cdot \frac{b}{r+b}
\end{align}

\section{Posterior probability}
\label{sec:Posterior probability}
Posterior probability is very similar to conditional probability, and in fact it is intimately related to it. Posterior probability is defined like the conditional one ($P(\text{event } A \text{ happens given that event } B \text{ has happened})$), but it is more used when the events are somewhat involved in a bigger system. Thus
\begin{align}
P(\text{event } A \text{ happens given that event } B \text{ has happened}) &= P(A|B)\\
&= \frac{P(B|A) P(B)}{P(A)}
\end{align}
and by making use of the definition of the \textit{conditional probability} once more, we are able to state \textit{Bayes} theorem the following theorem.

\subsection{Bayes theorem}
\label{subsec:Bayes theorem}
Imagine you're scientist making an experiment. You don't know the probability of a particular event to happen \textit{but} you know the probabilities of the reasons why that particular may happen. So, after the experiment, you notice that the event you were looking for had actually happened $\ldots$ what's the most probable reason?
\begin{align}
P(F_k| E) &= P(F_k \text{ is the real reason why the event } E \text{ has happened})\\
&= \frac{P(E | F_k) P(F_k)}{P(E)}\\
&= \frac{P(E | F_k) P(F_k)}{P(E|F_1)P(F_1) + P(E|F_2)P(F_2) + \ldots + P(E|F_n)P(F_n)}\\
&= \frac{P(E | F_k) P(F_k)}{\sum_{i=1}^n P(E|F_i)P(F_i)}
\end{align}

\section{Random variable}
\label{sec:Random variable}

\subsection{Mean}
\label{subsec:Mean}
Usually the mean of a random variable $X$ is referred to as the \textit{expected value}, hence it is defined to be
$$E(X) = \sum_{i} x_i p_X(x_i)$$
Moreover given a set of random variables $X_i$ you can find out that
$$E\left(\sum_{i} X_i \right)= \sum_i E(X_i)$$
and thus
$$E(X^2) = E(X \cdot X) = \sum_{i} x_i^2 p_X(x_i)$$

\subsection{Median}
\label{subsec:Median}

\subsection{Variance}
\label{subsec:Variance}
The variance is a way to express \textit{how the random variable is precise}. If a random variable has a great variance, it means that it is not precise at all! And the converse is true if a random variable has a little variance.\\
The variance is defined to be
$$\text{var}(X) = E(x^2) - E(x)^2$$
and for a series of random variables $X_i$
$$\text{var}\left(\sum_{i} a_i X_i \right)= \sum_i a_i^2 \text{var}(X_i)$$
in particular
\begin{itemize}
\item $\text{var}(X + c) = \text{var}(X)$
\item $\text{var}(X + Y) = \text{var}(X) +\text{var}(Y)+2\text{cov}(X,Y)$
\end{itemize}
where the $\text{cov}(X,Y)$ is the \textit{covariance} function, that measures the way two random variables are \textit{correlated}.

\subsection{Correlation}
\label{subsec:Correlation}
First we define the covariance function to be
$$\text{cov}(X,Y) = E(XY) - E(X) \cdot E(Y)$$
Then two random variables $X,Y$ are said to be \textit{correlated} when $\text{cov}(X,Y) \neq 0$; otherwise they are said to be \textit{not correlated}.

\subsection{Independence}
\label{subsec:Independence}
Two events $A,B$ are said to be independent (or \textit{perpendicular}) when
$$A \perp B \iff P(A \cap B) = P(A)P(B)$$
Hence two random variables $X,Y$ are said to be \textit{independent} when
$$\forall i,j \quad P(X_i \cap Y_j) = P(X_i)P(Y_j)$$
where the general terms $X_i, Y_j$ stands for the $i-$th event and the $j-$th event of the $X$ and $Y$ random variables respectively.\\
Note that, if two random variables $X,Y$ are independent, then they are not correlated
$$X \perp Y \Rightarrow \text{cov}(X,Y) = 0$$
while if two random variables are correlated, then they cannot be independent
$$\text{cov}(X,Y) \neq 0 \Rightarrow X \not \perp Y$$

\section{Probability density function}
\label{sec:Probability density function}
We denote \textit{spectrum} the set of all possible incomes a random variable has.

\chapter{Discrete probability function\\\textit{What's the minimum number of trees such that an apple falls on my head and I reinvent Gravity Theory?}}
\label{ch:Discrete probability function}

\section{Uniform}
\label{sec:Discrete Uniform}
\begin{center}$$\text{U}(a,b) (k) = \text{"successful event among equally like to be observed"} = \frac{\lfloor k \rfloor - a + 1}{b-a+1}$$\end{center}
\begin{center}
\begin{tabular}{ |l|l| }
  \hline
mean & $\frac{a+b}{2}$ \\
median & $\frac{a+b}{2}$ \\
var & $\frac{(b-a+1)^2-1}{12}$ \\
P(X $\le$ a) & $\frac{k}{b-a+1}$ \\
  \hline
\end{tabular}
\end{center}

\section{Binomial}
\label{sec:Discrete Binomial}
\begin{center}$$\text{Bin}(n, p) (k) = \text{"\textbf{k} successful binary events among \textbf{n} events"} = \binom{n}{k} p^k (1-p) ^{n-k}$$\end{center}
\begin{center}
\begin{tabular}{ |l|l| }
  \hline
mean & $np$ \\
median & $\lfloor np \rfloor \vee \lceil np \rceil$ \\
var & $np(1-p)$ \\
P(X $\le$ a) & $\sum_{i=0}^{\lfloor k \rfloor} \binom{n}{i} (1-p)^{n-i} p^i$ \\
  \hline
\end{tabular}
\end{center}

\section{Bernoulli}
\label{sec:Discrete Bernoulli}
\begin{center}$$\text{b}(p) (k) = \text{"success"} =
\begin{cases}k = 0 \to (1-p)\\
\text{else} \to p
\end{cases}$$\end{center}
\begin{center}
\begin{tabular}{ |l|l| }
  \hline
mean & $p$ \\
median & $\begin{cases}
			p < \frac{1}{2} \to 0\\
			p = \frac{1}{2} \to \frac{1}{2}\\
			p > \frac{1}{2} \to 1
         \end{cases}$ \\
var & $p(1-p)$ \\
  \hline
\end{tabular}
\end{center}

\section{Geometric}
\label{sec:Discrete Geometric}
\begin{center}$$\text{G}(p) (k) = \text{"first success at the \textbf{k}-th binary event"} = p (1-p) ^{k-1}$$\end{center}
\begin{center}
\begin{tabular}{ |l|l| }
  \hline
mean & $\frac{1}{p}$ \\
median & $\lceil np \frac{-1}{\log_2(1-p)} \rceil$ \\
var & $\frac{1-p}{p^2}$ \\
P(X $>$ k) & $(1-p)^k$ \\
  \hline
\end{tabular}
\end{center}


\section{Poisson}
\label{sec:Discrete Poisson}
\begin{center}$$\mathcal{P}(\gamma) (k) = \text{"\textbf{k} events occurring in a fixed interval of time"} = e^{-\gamma} \frac{\gamma ^k}{k!}$$\end{center}
\begin{center}
\begin{tabular}{ |l|l| }
  \hline
mean & $\gamma$ \\
median & $\gamma - \ln 2 < v < \gamma + \frac{1}{3} \Rightarrow \approx \lfloor \gamma - \frac{\gamma}{50}+ \frac{1}{3}\rfloor$ \\
var & $\gamma$ \\
P(X $\lessgtr$ a) & $\le \frac{e^{-\gamma}(e\gamma)^a}{a^a}$ \\
  \hline
\end{tabular}
\end{center}
Note that for large $n$
$$\text{Bin}(n,p) \sim \mathcal{P}(np)$$

\section{Negative binomial}
\label{sec:Discrete Negative binomial}
\begin{center}$$\text{NB}(r,p) (k) = \text{"\textbf{k} succesful events occurring before \textbf{r} failures"} = \binom{k+r-1}{k} (1-p)^rp^k$$\end{center}
\begin{center}
\begin{tabular}{ |l|l| }
  \hline
mean & $\frac{pr}{1-p}$ \\
var & $\frac{pr}{(1-p)^2}$ \\
  \hline
\end{tabular}
\end{center}

\chapter{Continuous probability function\\\textit{Welcome to the Integral world!}}
\label{ch:Continuous probability function}

\section{Uniform}
\label{sec:Continuous Uniform}
\begin{center}$$\mathcal{U}(a, b) (x) = \text{"all intervals are equally probable"} =
\begin{cases}
x \in [a,b] \to \frac{1}{b-a}\\
\text{else} \to 0
\end{cases}$$\end{center}
\begin{center}
\begin{tabular}{ |l|l| }
  \hline
mean & $\frac{a+b}{2}$ \\
median & $\frac{a+b}{2}$ \\
var & $\frac{(b-a)^2}{12}$ \\
P(X $\in [x,x+d]$) & $\frac{d}{b-a}$ \\
  \hline
\end{tabular}
\end{center}

\section{Exponential}
\label{sec:Continuous Exponential}
\begin{center}$$\text{D}(\gamma) (x) = \text{"time between events in a Poisson process"} = \gamma e^{-\gamma x}$$\end{center}
\begin{center}
\begin{tabular}{ |l|l| }
  \hline
mean & $\frac{1}{\gamma}$ \\
median & $\frac{\ln 2}{\gamma}$ \\
var & $\frac{1}{\gamma^2}$ \\
P(X $\ge$ a) & $e^{-\gamma a}$ \\
  \hline
\end{tabular}
\end{center}

\section{Normal (or Gaussian)}
\label{sec:Continuous Normal}
\begin{center}$$\mathcal{N}(\mu, \sigma^2) (x) = \text{"where all random variable converge"} = \frac{1}{\sigma \sqrt{2\pi}} e^{-\frac{(x-\mu)^2}{2\sigma^2}}$$\end{center}
\begin{center}
\begin{tabular}{ |l|l| }
  \hline
mean & $\mu$ \\
median & $\mu$ \\
var & $\sigma^2$ \\
  \hline
\end{tabular}
\end{center}

\subsection{Rule of Thumb}
\label{subsec:Central Limit Theorem Rule of Thumb}
We can make some approximations to ease the readers calculations:
$$P(\mu - \sigma \le X \le \mu - \sigma) \approx 0.68$$
$$P(\mu - 2\sigma \le X \le \mu - 2\sigma) \approx 0.95$$
$$P(\mu - 3\sigma \le X \le \mu - 3\sigma) \approx 0.997 \approx 1$$

\chapter{Master theorems\\\textit{May these theorems be with you (cit.)}}
\label{ch:Master theorems}

\section{Combinations of continuous probability functions}
\label{sec:Combinations of continuous probability functions}
Often the reader will face problems when a large number of random variables is involved or combinations of random variables is involved, the description of which is very difficult. Now we shall present a way to approximate such combinations.\\
Given that $X \sim N(\mu, \sigma^2)$ and for some $a \in \mathbb{R} \backslash \{0\}, b \in \mathbb{R}$
\begin{itemize}
\item let $Y = aX + b$ then $$Y \sim N(a\mu + b, a^2\sigma^2)$$
\item let $Z = \frac{X - \mu}{\sigma}$ then $$Z \sim N(0,1)$$
\item $\forall m \le M \in \mathbb{R}$
\begin{align}
P(m \le X \le M) &= P\left( \frac{m - \mu}{\sigma} \le \frac{X - \mu}{\sigma} \le \frac{M - \mu}{\sigma} \right)\\
&=P\left( \frac{m - \mu}{\sigma} \le Z \le \frac{M - \mu}{\sigma} \right)\\
&=P\left( \frac{m - \mu}{\sigma} \le N(0,1) \le \frac{M - \mu}{\sigma} \right)\\
&=\int_{\frac{m - \mu}{\sigma}}^{\frac{M - \mu}{\sigma}} \frac{1}{2\pi} e^{\frac{-t^2}{2\sigma^2}} dt\\
&=\Phi \left( \frac{M - \mu}{\sigma} \right) - \Phi \left( \frac{m - \mu}{\sigma} \right)
\end{align}
\item $\forall i \in \mathbb{N}$ let $\{X_i\}$ be a set of independent uniformly distributed normal ($X_i = N(\mu_i,\sigma_i^2$) random variables and let $a_i \in \mathbb{R}$, then $$\sum_{i=1}^n a_i X_i = N\left(\sum_{i=1}^n a_i u_i,\sum_{i=1}^n a_i^2 \sigma^2\right)$$
\end{itemize}

\section{Markov and Chebyshev inequalities}
\label{sec:Markov and Chebyshev}
Sometimes a clean and rapid calculation of the probability that $P(X \ge a)$ is impossible or very hard to find. Luckily the reader may find of some utility the following inequalities. Both the Markov and the Chebyshev inequalities are approximations but the Chebyshev one is much more strict and so more precise; nevertheless it requires additional conditions.

\subsection{Markov}
\label{subsec:Inequality Markov}
Let
\begin{itemize}
\item $X$ a random variable such that $E(X) > 0$
\item $a \in \mathbb{R}^+$
\end{itemize}
then you have that
$$P(X \ge a) \le \frac{E(X)}{a}$$

\subsection{Chebyshev}
\label{subsec:Inequality Chebyshev}
Let
\begin{itemize}
\item $X$ a random variable such that $\exists \text{var}(X)$
\item $\epsilon \in \mathbb{R}^+$
\end{itemize}
then you have that
$$P(|X - E(X)| \ge \epsilon) \le \frac{\text{var}(X)}{\epsilon^2}$$

\section{Law of Large Numbers (LLN)}
\label{sec:Law Large Numbers}
Give the following assumptions we can state two major laws
\begin{itemize}
\item $X$ is a random variable
\item $\overline{X}_n = \frac{1}{n} \sum_{i=1}^n X_i = \frac{X_1 + X_2 + \ldots X_n}{n}$
\item mean $= E(X) = \mu$ is defined and $\in \mathbb{R}$
\item $\epsilon \in \mathbb{R}^+$
\end{itemize}

\subsection{Weak law (by Khinchine)}
\label{subsec:Law Large Numbers Weak law (by Khinchine)}
$$\lim_{n \to \infty} P(|\overline{X}_n - \mu| \le \epsilon) \le 1$$

\subsection{Strong (by Chebyshev)}
\label{subsec:Law Large Numbers Strong (by Chebyshev)}
In addition to the previous hypothesis, the strong law requires that
\begin{itemize}
\item $E(X^2)$ is defined over the reals and strictly $< \infty$
\end{itemize}
$$P(\lim_{n \to \infty}  \left( |\overline{X}_n - \mu| \le \epsilon \right)) = 1$$

\section{Central Limit Theorem (CLT)}
\label{sec:Central Limit Theorem}
Suppose you have a large set of events with unknown distribution density and you want to calculate the probability of having the mean value inside a given error, in other words
$$P(|\overline{X}_n - \mu| \le \epsilon)$$
then the pretentious reader may have serious problems in calculating such probability. Often the distribution is so uncommon, that it is not even listed in the classical probability distribution. Furthermore the variance of the mean result depends on $n$, so it may seem you cannot do anything for getting even an approximation of that probability, since you cannot even user neither Markov nor Chebyshev inequalities.\\
We must find a way to find a valid approximation basing our results on our knowledge $\ldots$ but we only know that there is a large number of \textit{unknown-behavior} events!
Yet we can state that \textbf{for every random variable}
$$\lim_{n \to \infty} \frac{\sqrt{n}}{\sigma}\left( \overline{X}_n - \mu \right) = N(0,1)$$
and so
$$P\left(\frac{\sqrt{n}}{\sigma}\left( \overline{X}_n - \mu \right) \le x\right) = P(N(0,1) \le x)  = \frac{1}{2 \pi} \int_{-\infty}^x e^{\frac{-t^2}{2}} dt = \Phi(x)$$
For example we may want to study the random variable $\overline{X}_n = \frac{1}{n} \sum_{i = 1}^n X_i$ and in particular find the probability $P(|\overline{X}_n - \mu| \le \epsilon)$.\\
May the readers imagination come up and help them: you're a scientist and you're testing; you're trying to measure a table of length unknown $\mu$ and removed all systematic errors. Now, you can approximate the length of the table by $X = \mu + N(0, \sigma^2) = \mu + W$, where $W$ represents the error. From the combinations techniques we've learned that $X = N(\mu, \sigma^2)$ and applying the \textit{CLT} we get that
$$\overline{X}_n := \frac{1}{n} \sum_{i = 1}^n X_i = N\left( \mu, \frac{\sigma^2}{n} \right)$$
so we can directly apply the theorem once more and get that
\begin{align}
P(|\overline{X}_n - \mu|) \le \epsilon) &= P\left(\Big|N\left( \mu, \frac{\sigma^2}{n} \right) - \mu\Big| \le \epsilon\right)\\
&= P\left(\Big| N \left(0, \frac{\sigma^2}{n} \right) \Big|  \le \epsilon\right)\\
&= P\left(\Big| Z := \frac{X-0}{\frac{\sigma}{\sqrt{n}}} \Big|  \le \frac{\epsilon}{\frac{\sigma}{\sqrt{n}}} \right)\\
&= P\left(\Big| N(0,1) \Big|  \le \frac{\sqrt{n} \epsilon}{\sigma} \right)\\
&= \Phi \left(\frac{\sqrt{n} \epsilon}{\sigma} \right) - \Phi \left(-\frac{\sqrt{n} \epsilon}{\sigma} \right)\\
&= \Phi \left(\frac{\sqrt{n} \epsilon}{\sigma} \right) - \left( 1 - \Phi \left(\frac{\sqrt{n} \epsilon}{\sigma} \right) \right)\\
&= 2 \Phi \left(\frac{\sqrt{n} \epsilon}{\sigma} \right) - 1
\end{align}

\chapter{Statistics}
\label{ch:statistics}
Often you are dealing with an \textit{infinite} number of probability distribution, often not simple nor known and despite these striking facts, you are required to described some properties of such probability distributions: this is when statistics and \textit{estimators} come up. Statistics essentially is applied probability to real-life applications and in general a to large set of collections which can be manipulated as if there is an \textit{infinite} number of samples. Estimators are the ways statisticians can make predictions.

\subsection{Estimators}
\label{subsec:Estimators}
Starting off easy, we examine a random sample of Bernoulli random variables with parameter $p$. Let $(x_1^n)$ be a shortcut to identify the sample $(x_1,x_2, \ldots x_n) \in [0,1]$ then we define the Bernoulli similarity to be $\forall p \in [0,1]$
\begin{align}
L(p) &:= P_p(X_1^n = x_1^n)\\
&= \prod_{i=1}^n P(X_i = x_i)\\
&= \prod_{i=1}^n p^{x_i}\cdot (1-p)^{1-x_i}\\
&= p^{\sum_{i=1}^n x_i} \cdot (1-p)^{n - \sum_{i=1}^n x_i}\\
&= p^{n_S} \cdot (1-p)^{n - n_S}\\
\end{align}
where $n_S$ is the number of successful events, and soon it should be self-evident (finding the zeroes of the derivative should be enough) that the $p$ such that $L(p)$ is maximized is
$$\text{argmax }L(p) = \frac{n_S(x_1^n)}{n}$$
The problem is one the most basic and insightful: we just made our first estimate about a set of random sample, besides, we've found the parameter of the set of random variables such that our estimation is far the most accurate. We're now ready to formally introduce the \textit{estimators}. We define an estimator of a random set of samples $\{X_1^n\}$ to be a function
$$g: \quad X^n \to \Theta, \qquad X_1^n \mapsto g(X_1^n) \in \times$$
for example, we could have defined a different estimator in the previous example, say $g(X_1^n) = \frac{X_1+X_2}{2}$, but this wouldn't have been much accurate, since it takes as input only the first two values, and \textit{wastes} the others.

\subsection{Efficiency}
\label{subsec:Efficiency}
An estimator is said to be correct and \textit{asymptotically} correct when
\begin{itemize}
\item $E(g(X_1^n)) = \theta$
\item $\lim_{n \to \infty} E(g(X_1^n)) = \theta$
\end{itemize}
respectively. Obviously once an estimator is asymptotically correct, then it is automatically correct, but the converse is not true in general.\\
Moreover we define more properties of such estimators:
\begin{itemize}
\item error: $e(X_1^n) := g(X_1^n) - \theta$
\item bias: $B(\theta) := E(g(X_1^n)) - \theta$
\item variance: $\text{var}(g(X_1^n)) := E([g(X_1^n)) - E(g(X_1^n))]^2)$
\item mean square error: $\text{m.s.e}(\theta):= E([g(X_1^n)) - \theta]^2) = \text{var}(g(X_1^n)) + B^2(\theta)$
\end{itemize}
and intuitively, the smaller the variance and the error, the better an estimator is.

\subsection{Information}
\label{subsec:Information}
To predict whether an estimator is good enough or not, we should watch and measure the information it carries with: thus we define the \textit{Fisher information} function to be
$$I(\theta) := E \left( \left( \frac{d\ln(f_{\theta} (X)) }{d \theta} \right) ^2 \right)$$
As an example, take a set of \textbf{Bernoulli} distributed random variables, then
$f_{\theta}(x) = \theta^x(1-\theta)^{1-x}$ and so
\begin{align}
I(\theta) &= E \left( \left( \frac{d\ln\left( \theta^X(1-\theta)^{1-X} \right) }{d \theta} \right) ^2 \right)\\
&= E \left( \left( \frac{dX\ln \theta +(1-X)\ln (1-\theta)}{d \theta} \right) ^2 \right)\\
&= E \left( \frac{X^2}{\theta^2} + \frac{(1-X)^2}{(1-\theta)^2} \right)\\
&= \left( \frac{0^2}{\theta^2} + \frac{(1-0)^2}{(1-\theta)^2} \right) (1- \theta) + \left( \frac{1^2}{\theta^2} + \frac{(1-1)^2}{(1-\theta)^2} \right) (\theta)\\
&= \frac{1}{\theta(1-\theta)}
\end{align}
The procedure is the same also for other distribution, like the \textbf{Normal}:
$f_{\theta}(X) = \frac{1}{2\sqrt{\pi \sigma^2}} e^{-\frac{(X-\theta)^2}{2\sigma^2}} \Rightarrow$
\begin{align}
I(\theta) &= E \left( \left( \frac{d\ln\ f_{\theta}(X) }{d \theta} \right) ^2 \right)\\
&= E \left( \left( \frac{d \left( -\frac{1}{2} \ln (2 \pi \sigma^2) - \frac{1}{2} \frac{(X-\theta)^2}{2\sigma^2}\right)}{d \theta} \right) ^2 \right)\\
&= E \left( \left( \frac{X - \theta}{\sigma ^ 2} \right)^2 \right) \\
&= \frac{\sigma^2}{(\sigma^2)^2}\\
&= \frac{1}{\sigma^2}
\end{align}
Sometimes we can't argue we are presented with a \textit{infinite} number of random variables, yet we can define the same-way the Fisher information function to be
$$I_n(\theta) := E \left( \left( \frac{d\ln(f_{\theta} (X)) }{d \theta} \right) ^2 \right)$$
and it turns out that if the random variables are identically distributed, then
$$I_n(\theta)= n I(\theta)$$
More over we have the \textbf{Cramer-Rao} inequality, that states that $\forall g(X_1^n)$ correct, we have
$$\text{var}(g(X_1^n)) \ge \frac{1}{I_n(\theta)} = \frac{1}{nI(\theta)}$$
where the \textit{identity} holds whenever the estimator is \textit{efficient}.\\
Finally we can extend the method of the first Bernoulli example to all distribution, by defining
$$\text{"likelihood measure"} = l(\theta) = \ln f_{\theta}(x_1^n)$$
and thus the index at which the likelihood is at maximum is $\text{argmax}l(\theta)$. We conclude by presenting the likelihood measurement for the \textbf{Normal} distribution: first we note that
\begin{align}
f_{\theta}(x_1^n) &= \prod_{i=1}^n \frac{1}{2\sqrt{\pi \sigma^2}} e^{-\frac{(x-\theta)^2}{2\sigma^2}}\\
&\Rightarrow l(\theta) = \ln f_{\theta}(x_1^n)\\
&= -\frac{n}{2} \ln(2\pi \sigma^2) -\frac{1}{2\sigma^2} \sum_{i=1}^n(x_i - \theta)^2\\
&\Rightarrow \frac{d l(\theta)}{d \theta} = \frac{1}{\sigma^2} \sum_{i=1}^n(x_i - \theta)\\
&=0 \iff \theta = \frac{1}{n} \sum_{i=1}^n x_i = \text{"average of the random variables"}
\end{align}

\chapter{Advanced probability\\\textit{The never ending story... (cit.)}}
\label{ch:Advanced probability}

\subsection{Markov chain}
\label{subsec:Markov chain}
TBD

\subsection{Stochastic processes}
\label{subsec:Stochastic processes}
TBD

%\chapter{Index\\\textit{Where have you been my reader?}}
%\label{ch:Index}
%
%\renewcommand{\labelenumii}{\Roman{enumii}}
%\begin{enumerate}
%\item \hyperref[ch:chapter]{Chapter}
%  \begin{enumerate}
%  \item \hyperref[sec:section]{Section}
%  \end{enumerate}
%\end{enumerate}

\chapter{Acknowledgments\\\textit{Let's party!}}
\label{ch:Ackowledgments}

There are many persons and organization to thank, but first of all, these ones:
\begin{itemize}
  \item \href{http://math.stackexchange.com/}{Mathematics Stack Exchange} has done most of the \textit{imprinting} and \textit{suggestion} job with its \textit{freezy-greedy} questions and answers
  \item \href{https://www.wikipedia.org/}{Wikipedia} and its users that contribute everyday to make a universal and open enciclopedia
  \item \href{https://en.wikipedia.org/wiki/Stephen_Wolfram}{Stephen Wolfram} who built \href{http://mathworld.wolfram.com/}{Wolfram MathWorld}, a mathematical portal where you can find proofs, formulas and definitions about nearly every topic in mathematics
  \item \href{https://oeis.org/}{The On-Line Encyclopedia of Integer Sequences $\textregistered$ (OEIS$\textregistered$)} which is the largest online database of integer sequences
  \item \href{http:127.0.0.1}{My family} and \href{http:69.69.69.69}{my girlfirend}, who have always supported me in the thoughest days
\end{itemize}

\vfill
\vfill
\centering
\rule{\textwidth}{4pt}\vspace*{-\baselineskip}\vspace*{3.2pt}
\rule{\textwidth}{1pt}\vspace*{2pt}
{\LARGE \textbf{That's All Folks!}}\\
\textit{The End}
\rule{\textwidth}{1pt}\vspace*{-\baselineskip}\vspace*{6.4pt}
\rule{\textwidth}{4pt}
\end{document}